---
layout: post
title: "We're looking for another dedicated core Tor developer"
permalink: dedicated-core-tor-developer
date: 2012-04-20
author: arma
category: blog
tags: ["jobs"]
---

Your job would be to work on all aspects of the main Tor network daemon and other open-source software. This would be a contractor position for 2012 (starting as soon as you're ready and with plenty of work to keep you busy), with the possibility of 2013 and beyond.

Being a core Tor developer includes triaging, diagnosing, and fixing bugs; looking for and resolving security issues; and working collaboratively with coworkers and volunteers on implementing new features and protocol changes at every stage from design to maintenance. We'd also need help making our code more scalable, testable, and maintainable. Sometimes, we need to drop everything and scramble to implement last-minute anticensorship schemes, or to deploy urgent security updates. You'd also be reviewing other people's code and designs, and looking for ways to improve it. For an idea of the breadth and depth of the work you'd be doing, have a look at [the ChangeLog file from the Tor source distribution](https://gitweb.torproject.org/tor.git/blob/HEAD:/ChangeLog).

See our new jobs page for details: [https://www.torproject.org/about/jobs.html.en](https://www.torproject.org/about/jobs.html.en)

